org.eclipse.net4j.jvm

## Interface IJVMChannel

- All Superinterfaces:
    Closeable, IBufferHandler, IChannel, ILocationAware, INotifier, IUserAware

      public interface IJVMChannel
      extends IChannel

  A `channel` of a `JVM connector`.
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.ILocationAware

      `ILocationAware.Location`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IJVMChannel` | `getPeer()`

    - ### Methods inherited from interface org.eclipse.net4j.channel.IChannel

      `getID, getMultiplexer, getReceiveHandler, sendBuffer, setReceiveHandler`

    - ### Methods inherited from interface org.eclipse.net4j.ILocationAware

      `getLocation, isClient, isServer`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

    - ### Methods inherited from interface org.eclipse.net4j.buffer.IBufferHandler

      `handleBuffer`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

- - ### Method Detail

    - #### getPeer

          IJVMChannel getPeer()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html